AnsweredAssumed Answered

TLS 1.2

Question asked by donnajones on Nov 23, 2012
Latest reply on Nov 24, 2012 by donnajones

Hello everyone.

 

I recently generated a few digitial certificates for test purposes (self signed). I am using Linux (Ubuntu) and have the most recent versions of OpenSSL and GnuTLS. I generated certificates with both. However, everytime I check the SSL Labs test, it only reads SSL 3.0 and TLS 1.0--it's "no" for TLS 1.1 and 1.2.

 

I thought the new versions of OpenSSL and GunTLS support TLS 1.2; however, the SSL Labs test does not recognize it. 

 

Does anyone know what is wrong?

 

Am I required to "activate" or "implement" something extra when I make the certificates? My web hosting company states that it supports TLS 1.2. I'm using Firefox, which does not support TLS 1.1 or 1.2. But I am puzzled.

 

Any information would be appreciated.

Outcomes